Wonder
put/svc/payment/api/v1/openapi/orders

Edit an order

Updates the details of an existing order, identified number or reference_number.

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object
note
string

Note information for the order, needs to be less than 255 characters

tips
string

Additional tips to be paid by customers

Example: 0.00

numberrequired
string

Order number

currency
string

Currency code, eg HKD

charge_fee
string

The amount you charge your customers

Example: 0.00

required
array<object>

If you wish to display additional line item information

reference_numberrequired
string

Your side unique number

object
object
customer_uuid
string

Customer uuid

Responses

coderequired
number

Response code

object

Response data

required
object
payment_link
string

If you pass with_payment_link=true query params

Example: https://xxxxxxxxx

messagerequired
string

Response message